## org.red5.server.net.mrtmp
Interface IMRTMPManager

All Known Subinterfaces:
  IMRTMPEdgeManager, IMRTMPOriginManager

All Known Implementing Classes:
  SimpleMRTMPEdgeManager, SimpleMRTMPOriginManager

    public interface IMRTMPManager

Author:
  Steven Gong (steven.gong@gmail.com)

Method Summary
`IMRTMPConnection` `lookupMRTMPConnection(RTMPConnection conn)` Map a client to an Edge/Origin MRTMP connection.
`boolean` `registerConnection(IMRTMPConnection conn)` Register a MRTMP connection so that it can be later been looked up.
`boolean` `unregisterConnection(IMRTMPConnection conn)` Unregister a MRTMP connection.

Method Detail

### lookupMRTMPConnection

    IMRTMPConnection lookupMRTMPConnection(RTMPConnection conn)

  Map a client to an Edge/Origin MRTMP connection. On Edge, the server will find an Origin connection per routing logic. On Origin, the server will send to the original in-coming connection if the client connection type is persistent. Or the latest in-coming connection will be used.

  Parameters:
    `conn` -
  Returns:
    the IMRTMPConnection

### registerConnection

    boolean registerConnection(IMRTMPConnection conn)

  Register a MRTMP connection so that it can be later been looked up.

  Parameters:
    `conn` -
  Returns:
    whether the registration is successful

### unregisterConnection

    boolean unregisterConnection(IMRTMPConnection conn)

  Unregister a MRTMP connection.

  Parameters:
    `conn` -
  Returns:
    whether the registration is successful

Copyright © 2006-2010 The Red5 Project